at.chipkarte.client.auth.soap

## Class DialogData

- Object
- - at.chipkarte.client.auth.soap.DialogData

-     public class DialogData
      extends Object

  Enthält Daten zum neu erstellten, authentifizierten Dialog. Wird im Zuge der Funktionen `IAuthService.authenticateDialog(java.lang.String, at.chipkarte.client.auth.soap.ProduktInfo, java.lang.String, java.lang.Boolean)` bzw. `IAuthService.authenticateDialogEnt(at.chipkarte.client.auth.soap.ProduktInfo, java.lang.String, java.lang.String, java.lang.Boolean)` retourniert.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DialogData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDialogId()` DialogId - Identifiziert einen Dialog (dient als Referenz dieses Dialogs in anderen Funktionen).
    `String` | `getHerstellerIdAblaufdatum()` Ablaufdatum der Hersteller-ID.
    `VertragspartnerV2` | `getVp()` Informationen über den Vertragspartner sowie dessen Ordinationsadressen und Authentifizierungsstatus.
    `void` | `setDialogId(String dialogId)`
    `void` | `setHerstellerIdAblaufdatum(String herstellerIdAblaufdatum)`
    `void` | `setVp(VertragspartnerV2 vp)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DialogData

          public DialogData()

  - ### Method Detail

    - #### getDialogId

          public String getDialogId()

      DialogId - Identifiziert einen Dialog (dient als Referenz dieses Dialogs in anderen Funktionen).
      Format: 32-stellig
      Returns:
        DialogId

    - #### setDialogId

          public void setDialogId(String dialogId)

    - #### getVp

          public VertragspartnerV2 getVp()

      Informationen über den Vertragspartner sowie dessen Ordinationsadressen und Authentifizierungsstatus.
      Im Offline-Modus des Ordinationsclient werden für das Objekt VertragspartnerV2 die Felder
      - AuthenticationStatus und
      - VpId
      nicht versorgt.
      Returns:
        Vertragspartner

    - #### setVp

          public void setVp(VertragspartnerV2 vp)

    - #### getHerstellerIdAblaufdatum

          public String getHerstellerIdAblaufdatum()

      Ablaufdatum der Hersteller-ID.
      Nur versorgt, wenn beim Dialogaufbau eine Hersteller-Id angegeben und ein Online-Dialog aufgebaut wurde.
      Format: TT.MM.JJJJ
      Returns:
        Ablaufdatum der Hersteller-ID.

    - #### setHerstellerIdAblaufdatum

          public void setHerstellerIdAblaufdatum(String herstellerIdAblaufdatum)